package vc.thinker.absctacts.protocolproxy.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Map;

/**
 * 服务执行命令
 *
 * @author HeTongHao
 * @since 2021/7/9 17:47
 */
@Getter
@AllArgsConstructor
public class ServiceExecuteCmd implements IServiceExecuteCmd {
    private final String requestId;
    private final String deviceCode;
    private final String serviceCode;
    private final Map<String, Object> params;
}
